// VBConversions Note: VB project level imports
using System.Collections.Generic;
using System;
using System.Linq;
using System.Drawing;
using System.Diagnostics;
using System.Data;
using System.Xml.Linq;
using Microsoft.VisualBasic;
using System.Collections;
using System.Windows.Forms;
// End of VB project level imports

using GrapeCity.ActiveReports;

namespace Test_HidePage
{
	public partial class Form1
	{
		public Form1()
		{
			InitializeComponent();
			
			//Added to support default instance behavour in C#
			if (defaultInstance == null)
				defaultInstance = this;
		}
		
#region Default Instance
		
		private static Form1 defaultInstance;
		
		/// <summary>
		/// Added by the VB.Net to C# Converter to support default instance behavour in C#
		/// </summary>
public static Form1 Default
		{
			get
			{
				if (defaultInstance == null)
				{
					defaultInstance = new Form1();
					defaultInstance.FormClosed += new FormClosedEventHandler(defaultInstance_FormClosed);
				}
				
				return defaultInstance;
			}
		}
		
		static void defaultInstance_FormClosed(object sender, FormClosedEventArgs e)
		{
			defaultInstance = null;
		}
		
#endregion
		int ItemsCount;
		int Pagecount;
		
		GrapeCity.ActiveReports.PageReport rpt = new GrapeCity.ActiveReports.PageReport();
		string str = "";
	
        private void loadFPLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            str = "FPL";
            rpt.Load(new System.IO.FileInfo(Application.StartupPath + "\\Test_FPL.rdlx"));
            GrapeCity.ActiveReports.Document.PageDocument doc = new GrapeCity.ActiveReports.Document.PageDocument(rpt);
            Viewer1.LoadDocument(doc);
        }

        private void loadCPLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            str = "CPL";
            rpt.Load(new System.IO.FileInfo(Application.StartupPath + "\\Test_CPL.rdlx"));
            GrapeCity.ActiveReports.Document.PageDocument doc = new GrapeCity.ActiveReports.Document.PageDocument(rpt);
            Viewer1.LoadDocument(doc);
        }

        private void changeControlsLocationAndStyleToolStripMenuItem_Click(object sender, EventArgs e)
        {

            if (str == "FPL")
            {
                GrapeCity.ActiveReports.Document.PageDocument doc = new GrapeCity.ActiveReports.Document.PageDocument(rpt);
                GrapeCity.ActiveReports.PageReportModel.FixedPage FP = default(GrapeCity.ActiveReports.PageReportModel.FixedPage);
                FP = (GrapeCity.ActiveReports.PageReportModel.FixedPage)(doc.PageReport.Report.Body.ReportItems[0]);
                Pagecount = FP.Pages.Count;
                ItemsCount = FP.Pages[0].ReportItems.Count;

                GrapeCity.ActiveReports.PageReportModel.TextBox txt;
                for (var j = 0; j <= Pagecount - 1; j++)
                {
                    for (var i = 0; i <= ItemsCount - 1; i++)
                    {
                        try
                        {
                            txt = (GrapeCity.ActiveReports.PageReportModel.TextBox)(FP.Pages[j].ReportItems[i]);
                            FP.Pages[j].ReportItems[i].Left = "2in";
                            var temp = new GrapeCity.ActiveReports.PageReportModel.Style();
                            temp.BackgroundColor = "LightPink";
                            temp.Color = "DarkGreen";
                            FP.Pages[j].ReportItems[i].Style = temp;

                            txt.Style.FontFamily = "Algerian";
                            txt.Style.FontSize = "20pt";
                            txt.Style.FontWeight = "Bold";
                            txt.Style.TextAlign = "Center";
                        }
                        catch
                        {
                        }
                    }
                }
                Viewer1.LoadDocument(doc);
            }


            else if (str == "CPL")
            {
                GrapeCity.ActiveReports.Document.PageDocument doc = new GrapeCity.ActiveReports.Document.PageDocument(rpt);
                for (var i = 0; i <= rpt.Report.Body.ReportItems.Count - 1; i++)
                {
                    string a = rpt.Report.Body.ReportItems[i].Name;
                    if (a == "TextBox5")
                    {
                       
                        var temp = new GrapeCity.ActiveReports.PageReportModel.Style();
                        temp.BackgroundColor = "LightPink";
                        temp.Color = "DarkGreen";
                        rpt.Report.Body.ReportItems[a].Style = temp;
                        rpt.Report.Body.ReportItems[a].Left = "2in";
                        rpt.Report.Body.ReportItems[a].Style.FontFamily = "Algerian";
                        rpt.Report.Body.ReportItems[a].Style.FontSize = "20pt";
                        rpt.Report.Body.ReportItems[a].Style.FontWeight = "Bold";
                        rpt.Report.Body.ReportItems[a].Style.TextAlign = "Center";

                    }
                }
                Viewer1.LoadDocument(doc);
            }
        }
	}
	
}
